.row {
    margin-top: 30px;
}

.messages {
    position: relative;
    list-style: none;
    padding: 20px 10px 0 10px;
    margin: 0;
    overflow: scroll;
    height: 600px;
    box-sizing: border-box;
}

.messages .message {
    clear: both;
    overflow: hidden;
    margin-bottom: 20px;
    transition: all 0.5s linear;
    opacity: 0;
}

.messages .message.left .avatar {
    background-color: #f5886e;
    float: left;
}

.messages .message.left .text_wrapper {
    background-color: #ffe6cb;
    margin-left: 20px;
}

.messages .message.left .text_wrapper::after,
.messages .message.left .text_wrapper::before {
    right: 100%;
    border-right-color: #ffe6cb;
}

.messages .message.left .text {
    color: #c48843;
}

.messages .message.right .avatar {
    background-color: #fdbf68;
    float: right;
}

.messages .message.right .text_wrapper {
    background-color: #c7eafc;
    margin-right: 20px;
    float: right;
}

.messages .message.right .text_wrapper::after,
.messages .message.right .text_wrapper::before {
    left: 100%;
    border-left-color: #c7eafc;
}

.messages .message.right .text {
    color: #45829b;
    text-align: right;
}

.messages .message.appeared {
    opacity: 1;
}

.messages .message .avatar {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: inline-block;
}

.messages .message .text_wrapper {
    display: inline-block;
    padding: 20px;
    border-radius: 6px;
    width: calc(100% - 85px);
    min-width: 100px;
    position: relative;
}

.messages .message .text_wrapper::after,
.messages .message .text_wrapper:before {
    top: 18px;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.messages .message .text_wrapper::after {
    border-width: 13px;
    margin-top: 0px;
}

.messages .message .text_wrapper::before {
    border-width: 15px;
    margin-top: -2px;
}

.messages .message .text_wrapper .text {
    font-size: 18px;
    font-weight: 300;
}

.time {
    font-size: 10px;
    color: black;
}

input {
    width: 100%;
    border-radius: 10px;
}

.eu {
    text-align: right;
}

.sendbtn {
    width: 100%;
    border-radius: 10px;
    text-transform: uppercase;
}

.input-wrap {
    padding: 5px;
    display: flex;
    textarea {
    flex: 1;
    border: 0;
    border-bottom: 1px ;
    border-style: solid;
    }
}